package de.hendriklipka.pdfconv;

import com.sun.jimi.core.JimiEncoder;
import com.sun.jimi.core.JimiImageEnumeration;
import com.sun.jimi.core.encoder.pict.PICTEncoderFactory;

import java.awt.image.BufferedImage;
import java.io.FileOutputStream;

public class PICTImageWriter extends ImageWriter
{
    public PICTImageWriter()
    {
        super();
    }

    protected boolean saveImage(String current_image, BufferedImage image)
    {
        try
        {
            FileOutputStream fos=new FileOutputStream(current_image);
            PICTEncoderFactory pef=new PICTEncoderFactory();
            JimiEncoder enc=pef.createEncoder();
            enc.encodeImages(new JimiImageEnumeration(image), fos);
            fos.close();
            return true;
        }
        catch (Exception e)
        {
            e.printStackTrace();
        }
        return false;
    }
}
